i = 0; 
if (gameTiming > 24000 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
if (skillVar [mS] [1] > 1 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
if (coins > 30 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
if (blocksDestroyed >= 100 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
if (houseUP + libraryUP + armoryUP + kitchenUP + shopUP > 0 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
if (areaUP > 1 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
if (investment > 50 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
for (ii = 0; ii < mS && achievLabel [i] [2] == 0; ii++) 
	{if (skillVar [ii] [1] >= 5) {achievLabel [i] [2] = 1; break;}} i++;
if (handfull == 1 && blockDestroyed == 1 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
if (pinv.getSlotContainingItem(35) != -1 && handfull == 1 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++; 
if ((pinv.getSlotContainingItem(2017) != -1 || pinv.getSlotContainingItem(2018) != -1 || 
pinv.getSlotContainingItem(2019) != -1) && handfull == 1 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++; 
if (getItemAmount(344) >= 10 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
if (gameTiming > 24000*7 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
if (coins > 100 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
if ((skillVar [1] [1] >= 5 || skillVar [2] [1] >= 5) && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++;
k = 0; for (ii = 0; ii < mS && achievLabel [i] [2] == 0; ii++) {
	if (skillVar [ii] [1] >= 3) {k++;} 
	if (k == 10) {achievLabel [i] [2] = 1; break;}} i++;
if ((pinv.getSlotContainingItem(272) != -1 || pinv.getSlotContainingItem(273) != -1 || 
pinv.getSlotContainingItem(274) != -1 || pinv.getSlotContainingItem(275) != -1 || 
pinv.getSlotContainingItem(2088) != -1 || pinv.getSlotContainingItem(2093) != -1) 
&& handfull == 1 && dead%2 == 0 && achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++; 
if ((pinv.getItemInSlot(36) != null || pinv.getItemInSlot(37) != null || 
pinv.getItemInSlot(38) != null || pinv.getItemInSlot(39) != null) 
&& achievLabel [i] [2] == 0) {achievLabel [i] [2] = 1;} i++; 
//if (parseInt(shopMoney.text))
//if (handfull == 1)